/////////////////////////////////////////////////////////////
// FILE:      mygl.cpp
// CONTAINS:  your implementations of various GL functions
////////////////////////////////////////////////////////////.

#include "os.h"
#include "GL/glut.h"
#include "lib_defs.h"
#include "lib_math.h"

////////////// Various globals;   add more as needed

extern int VirtWidth;   // virtual screen width
extern int VirtHeight;  // virtual screen height

const int MAXPIX = 1000;            // max screen size
float Zbuf[MAXPIX][MAXPIX];         // Z-buffer
IMAGE *CurrTex=(IMAGE *) 0;         // pointer to current texture map

Matrix *CurrMatrix;         // points to either ModelView or Projection
Matrix ModelView;
Matrix Projection;

void getpixel(IMAGE *i, float u, float v, float &r, float &g, float &b);

///////////////////////////////////////////////////////////
//    PROC: init_zbuf()
//    DOES: initializes Z-buffer
///////////////////////////////////////////////////////////

void init_zbuf() {
}

//////////////////////////////////////////////////////
// FUNC:  myMatrixMode(mode) 
//////////////////////////////////////////////////////

void myMatrixMode(int MatrixType)
{
}

//////////////////////////////////////////////////////
// FUNC:  myLoadIdentity() 
//////////////////////////////////////////////////////

void myLoadIdentity()
{
}

//////////////////////////////////////////////////////
// FUNC:  myBegin(type) 
//////////////////////////////////////////////////////

void myBegin(int type)
{
}

//////////////////////////////////////////////////////
// FUNC:  myEnd() 
//////////////////////////////////////////////////////

void myEnd()
{
}

//////////////////////////////////////////////////////
// FUNC:  myVertex(x,y,z) 
//////////////////////////////////////////////////////

void myVertex(float x, float y, float z)
{
}

//////////////////////////////////////////////////////
// FUNC:  myColor(r,g,b)
//////////////////////////////////////////////////////

void myColor(float r, float g, float b)
{
}

//////////////////////////////////////////////////////
// FUNC:  myTexCoord(s,t) 
//////////////////////////////////////////////////////

void myTexCoord(float s, float t)
{
}

//////////////////////////////////////////////////////
// FUNC:  myLookAt(eye, center, Vup) 
//////////////////////////////////////////////////////

void myLookAt(float ex, float ey, float ez, float cx, float cy, float cz,
			  float vx, float vy, float vz)
{
}

//////////////////////////////////////////////////////
// FUNC:  myFrustum() 
//////////////////////////////////////////////////////

void myFrustum(float left, float right, float bot, float top, float nr, float fr)
{
}

//////////////////////////////////////////////////////
// FUNC:  myTranslate() 
//////////////////////////////////////////////////////

void myTranslate(float tx, float ty, float tz)
{
}

//////////////////////////////////////////////////////
// FUNC:  myRotate() 
//////////////////////////////////////////////////////

void myRotate(float angle, float ax, float ay, float az)
{
}

//////////////////////////////////////////////////////
// FUNC:  myScale() 
//////////////////////////////////////////////////////

void myScale(float sx, float sy, float sz)
{
}

