/************************************************************
	FILE: lib_globals.h
	-contains globals for shell
************************************************************/

#ifdef MAIN
#define extern
#endif

	/* vars accessible through set */
extern int DBuffer;
extern int DRaw_mode;
extern BOOL DEbug;
extern STR HElpfile;
extern int IMage_num;
extern BOOL IMode;
extern BOOL MAtprint;
extern BOOL TExtures;

	/* others */
extern int Counter;
extern int Countinc;
extern int Linenum;
extern int Mode;
extern float Circ[CIRC_PTS][2];
extern IMAGE *Image;
extern FILE *Ifile;
extern char Scanline[1000];
extern GLmatrix Vmat;
extern GLmatrix Vmat_mem[4];
extern int Win[2];      
extern int WinX, WinY;
extern FVEC Bg;         // background colour 
extern float Frustum[4];   // perspective viewing parameters
extern Matrix Mpersp;          // projection matrix
extern Matrix Mmview;          // modelview matrix
extern int Image_num;   // current number
extern STR Image_name;  // name for image series


#ifdef MAIN
#undef extern
#endif
